/*
 * setcolor.c
 * Created: 2010/02/22, Eiichiro Ito(GHC02331@nifty.com)
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "rmeye.h"

int
main(void)
{
  unsigned long center, range;
  int rcen, gcen, bcen, rran, gran, bran;

  printf("RMEYE INIT :");
  if ( rmeye_init() != 0 ) {
    printf("NG\n");
    exit(1);
  }
  printf("OK\n");
  rmeye_getcolor( 1, &center, &range );
  rcen = (center & 0xFF0000) >> 16;
  gcen = (center & 0x00FF00) >> 8;
  bcen = (center & 0x0000FF);
  rran = (range & 0xFF0000) >> 16;
  gran = (range & 0x00FF00) >> 8;
  bran = (range & 0x0000FF);
  printf( "(%d, %d, %d) - (%d, %d, %d)\n",
	  rcen, gcen, bcen, rran, gran, bran );
  return 0;
}
