/*
 * setcolor.c
 * Created: 2010/02/22, Eiichiro Ito(GHC02331@nifty.com)
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "rmeye.h"

int
main(int argc, char *argv[])
{
  int center, range;
  int rcen, gcen, bcen, rran, gran, bran;

  if ( argc <= 6 ) {
    printf( "%s: rcen gcen bcen rran gran bran\n", argv[0] );
  }
  rcen = atoi(argv[1]);
  gcen = atoi(argv[2]);
  bcen = atoi(argv[3]);
  rran = atoi(argv[4]);
  gran = atoi(argv[5]);
  bran = atoi(argv[6]);
  printf("RMEYE INIT :");
  if ( rmeye_init() != 0 ) {
    printf("NG\n");
    exit(1);
  }
  printf("OK\n");
  center = (rcen << 16) + (gcen << 8) + bcen;
  range = (rran << 16) + (gran << 8) + bran;
  rmeye_setcolor( 1, center, range );
  return 0;
}
