/*
 * startup.c
 * Originally Created: Eiichiro Ito(GHC02331@nifty.com)
 * Modified: 2010/04/27, Eiichiro Ito(GHC02331@nifty.com)
 */
#include <stdio.h>
#include <stdlib.h>
#include "gpio.h"

int
main( int argc, char *argv[] )
{
  int led = 0;
  int forever = 0;
  char *cmd = "/bin/sh /home/guest/startup.sh";

  do {
    gpio_setled( 1, 0 );
    gpio_setled( 2, 0 );
    printf( "waiting gpio12(SW1)=0\n" );
    while ( gpio_getsw( 1 ) != 0 ) {
      sleep( 1 );
      gpio_setled( 1, led = 1 - led );
    }
    printf( "done\n" );
    gpio_setled( 1, 1 );
    printf( "waiting gpio12(SW1)=1\n" );
    while ( gpio_getsw( 1 ) != 1 ) {
      sleep( 1 );
      gpio_setled( 2, led = 1 - led );
    }
    printf( "done\n" );
    gpio_setled( 2, 1 );
    printf( "starting application\n-->%s\n", cmd );
    system( cmd );
    if ( forever ) {
      printf( "waiting 5 minute.\n" );
      sleep( 5 * 60 );
    }
  } while ( forever );
  return 0;
}
