/*
 * gyro.c
 * Created: 2010/02/22, Eiichiro Ito(GHC02331@nifty.com)
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "sbus.h"

int
main(int argc, char *argv[])
{
  int i;
  int last0 = 0, last1 = 0, last2 = 0;

  printf("SBUS INIT :");
  if ( sbus_init() != 0 ) {
    printf("NG\n");
    exit(1);
  }
  printf("OK\n");
  for ( i = 0; i < 10000; i ++ ) {
    int ad0 = sbus_getad(0);
    int ad1 = sbus_getad(1);
    int ad2 = sbus_getad(2);

    printf( "%3d, %3d, %3d - ", ad0, ad1, ad2 );
    printf( "%3d, %3d, %3d\n", ad0 - last0, ad1 - last1, ad2 - last2 );
    last0 = ad0;
    last1 = ad1;
    last2 = ad2;
  }
  return 0;
}
