#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "sbus.h"

int speed;

int
main( int argc, char *argv[] )
{
  int value;

  speed = 50;
  printf("SBUS INIT :");
  if ( sbus_init() != 0 ) {
    printf("NG\n");
    exit(1);
  }
  printf("OK\n");
  sbus_reset();
  sbus_usetrim(1);
  sbus_getwidth();
  sbus_setpwm();
  value = atoi( argv[1] );
  if ( argc > 2 ) {
    speed = atoi( argv[2] );
  }
  sbus_initnext();
  sbus_setnext( 10,   value * PWM_DEG );
  sbus_setnext( 16, - value * PWM_DEG );
  sbus_setnext( 20, - value * PWM_DEG );
  sbus_setnext( 14,   value * PWM_DEG );
  while ( !sbus_stepnext( speed ) ) {
    sbus_setwidth();
  }
  return 0;
}
