/*
 * RM-board sample program
 * Version 0.8  2007/05/10  ODAWARA Atsushi (iXs Research Corp.)
 *
 *		main .c
 */
 
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "sbus.h"		// BUS

int main(void)
{
  int i;
	
  printf("SBUS INIT :");
  if ( sbus_init() != 0 ) {
    printf("NG\n");
    exit(1);
  }
  printf("OK\n");
  sbus_reset();
  sbus_setpwm();
  sbus_getwidth();
  for ( i = 0; i < 3; i ++ ) {
    printf( "TEST LOOP [%d]\n", i );
    printf( "AN0 = %d\n", sbus_getad(0) );
    printf( "AN1 = %d\n", sbus_getad(1) );
    printf( "AN2 = %d\n", sbus_getad(2) );
    printf( "AN3 = %d\n", sbus_getad(3) );
    printf( "AN4 = %d\n", sbus_getad(4) );
    printf( "AN5 = %d\n", sbus_getad(5) );
    printf( "AN6 = %d\n", sbus_getad(6) );
    printf( "AN7 = %d\n", sbus_getad(7) );
    sleep(1);
    sbus_addserv( 23, PWM_DEG * -45 );	// S23 -45deg move
    sbus_setwidth();
    sleep(1);
    sbus_addserv( 23, PWM_DEG * 90 );	// S23 -45deg move
    sbus_setwidth();
    sleep(1);
    sbus_addserv( 23, PWM_DEG * -45 );	// S23 -45deg move
    sbus_setwidth();
    sleep(1);
  }
  sbus_reset();
  return 0;
}
