/*
 * sbus.h
 * Originally Created: iXs Research Co.,Ltd.
 * Modified: 2010/01/14, Eiichiro Ito(GHC02331@nifty.com)
 */
#define SBUS_ACK	0x06
#define SBUS_NAK	0x15
#define PWM_DEG		((double)(14008 / 90))
#define SBUS_TIMEOUT1	20000
#define ASPEED_MAX	PWM_DEG

// Function
int sbus_init();
int sbus_reset();
int sbus_setpwm();
int sbus_getwidth();
int sbus_setwidth();
void sbus_setserv( int num, int value );
int sbus_getserv( int num );
int sbus_addserv( int num, int value );
void sbus_printserv();
void sbus_initnext();
void sbus_setnext( int num, int value );
int sbus_getnext( int num );
int sbus_stepnext( int speed );
void sbus_movesync( int speed );
void sbus_printnext();
unsigned short sbus_getad( int num );
