#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "sbus.h"

int
main( int argc, char *argv[] )
{
  int i;
  int trim = 1;

  if ( argc > 1 ) {
    trim = atoi(argv[1]);
  }
  printf("SBUS INIT :");
  if ( sbus_init() != 0 ) {
    printf("NG\n");
    exit(1);
  }
  printf("OK\n");
  sbus_reset();
  sbus_usetrim( trim );
  sbus_setwidth();
  sbus_setpwm();
  return 0;
}
